﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApplication1.Models;
using DevExtreme.AspNet.Data;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        [HttpGet]
        public object Get(DataSourceLoadOptions loadOptions)
        {
            var list = new List<MyModel>();
            list.Add(new MyModel()
            {
                ID = 0,
                Name = "One"
            });
            list.Add(new MyModel()
            {
                ID = 1,
                Name = "Two"
            });
            list.Add(new MyModel()
            {
                ID = 2,
                Name = "Three"
            });
            return DataSourceLoader.Load(list, loadOptions);
        }
    }
}
